#include "SmartDisplay.hpp"

SmartDisplay::SmartDisplay(Adafruit_SSD1306 *display)
{
    m_display = display;
}

void SmartDisplay::printTeaConfigScreen(String teaName, int steepingSeconds, int editDir)
{
    m_display->clearDisplay();
    m_display->setTextColor(WHITE);
    m_display->setTextSize(1);
    m_display->setCursor(0, 0);

    m_display->println(teaName);
    m_display->println(" ");

    m_display->setTextSize(2);
    m_display->print(steepingSeconds);
    m_display->print(" ");

    if (editDir > 0)
    {
        for (int i = 0; i < editDir; i++)
        {
            m_display->print("+");
        }
    }
    if (editDir < 0)
    {
        for (int i = editDir; i < 0; i++)
        {
            m_display->print("-");
        }
    }
    m_display->display();
}

void SmartDisplay::printTeaSteepingProgressScreen(String teaName, int steepingSeconds)
{
    m_display->clearDisplay();
    m_display->setTextColor(WHITE);
    m_display->setTextSize(1);
    m_display->setCursor(0, 0);

    m_display->println(teaName);
    m_display->println("(Steeping)");

    m_display->setTextSize(2);
    m_display->println(steepingSeconds);

    m_display->display();
}

void SmartDisplay::printWaitForRFIDScreen()
{
    m_display->clearDisplay();
    m_display->setTextColor(WHITE);
    m_display->setTextSize(1);
    m_display->setCursor(0, 0);

    m_display->println("Waiting for RFID scan...");

    m_display->display();
}